Page MenuHomeFreeBSD

comms/opencbm: Update to 0.4.99.104
ClosedPublic

Authored by zirias on Aug 3 2022, 9:28 AM.
Tags
None
Referenced Files
Unknown Object (File)
May 23 2024, 5:09 PM
Unknown Object (File)
May 6 2024, 3:56 PM
Unknown Object (File)
May 3 2024, 6:27 PM
Unknown Object (File)
Apr 30 2024, 11:05 AM
Unknown Object (File)
Apr 29 2024, 2:44 PM
Unknown Object (File)
Apr 28 2024, 11:16 AM
Unknown Object (File)
Apr 23 2024, 9:59 AM
Unknown Object (File)
Apr 23 2024, 9:54 AM
Subscribers

Details

Summary
  • Remove MAJE_JOBS_UNSAFE, fixed upstream with additional make dependencies.
  • Remove local copy of opencbm(4), manpage was adopted upstream.
  • Also affects opencbm-kmod and opencbm-plugin-xa1541.

Changelog: https://opencbm.trikaliotis.net/opencbm-6.html

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

zirias requested review of this revision.Aug 3 2022, 9:28 AM
comms/opencbm-plugin-xa1541/Makefile
21

^ this looks static -- is there a reason it is not a patch file?

comms/opencbm/Makefile.inc
10

^ might be a bit more readable if you break the line for every value you set

comms/opencbm-plugin-xa1541/Makefile
21

It's already fixed upstream, so I thought for something temporary, it might be better not to add an extra file?

Extra newline as suggested.

comms/opencbm-plugin-xa1541/Makefile
21

if it's already fixed upstream, you could try to pull in their (git)-patch. -- if that does not work I would at least add a comment saying that this is a temporary thing.

Replace sed with upstream patch.

This revision is now accepted and ready to land.Aug 3 2022, 7:12 PM
This revision was automatically updated to reflect the committed changes.